# Local development using Docker

## Overview
Fork CMS comes with a Docker PHP development environment that facilitates running the CMS in container(s).

### What is Docker?
Docker is a platform that allows us to develop, ship and run applications. With Docker, you can manage your infrastructure in the same ways you manage your application.

So why use Docker and not Vagrant? While Vagrant creates a virtual machine in minutes, Docker creates virtual containers in seconds. Instead of providing a full VM like Vagrant does,
Docker provides you with lightweight containers that share the same kernel and allow you to safely execute independent processes. In addition to speed, Docker gives you a lot of features that
cannot be achieved with Vagrant. The most important fact about Docker is that it can be ran for development and on production, ensuring a consistent environment everywhere that bundles with the code you write.
Vagrant is designed for development only, so a production server still needs to be provisioned every time.

### What's inside the Fork CMS dev environment?
A `docker-compose`-powered stack to get your Fork CMS PHP project up and running in no time, without the hassle of installing PHP locally, in a Vagrant or in MAMP/WAMP.
By default the containarized development environment comes with:
* PHP 7.1
* Apache
* MariaDB

**Features:**
* Easily switch between PHP versions: 7.1, 7.0, ...
* Easy to customize, e.g. add PHP extensions, with a simple edit to the `Dockerfile`.
* Clean and well structured Dockerfile

### Get started with Fork CMS and docker
- Start docker: `docker-compose up` and wait for the container to boot, the first time this will be slow because it needs to install everything but after that this is super fast
- Remove your `app/config/parameters.yml` if you already have one
- Go to [localhost](http://localhost)
- Follow the steps of the installer
- Use the following config in the database settings step
    - hostname: db
    - username: forkcms
    - password: forkcms
    - database: forkcms
- Finish the installation process
- That it, enjoy your fresh local Fork CMS installation powered by Docker
